SystemOrganization addCategory: #'BICHOS-Test'!

TestCase subclass: #Puntos16Al20
	instanceVariableNames: 'fede ubicacionActualHormiga hormiguero pozo mansion planta ubicacionesPorLasQuePaso miga oreo alfajor zapatilla'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'BICHOS-Test'!

!Puntos16Al20 methodsFor: 'as yet unclassified' stamp: 'Federico 11/15/2015 23:19'!
setUp

	fede := HormigaObrera new.
	
	
	ubicacionActualHormiga := Ubicacion new.
	ubicacionActualHormiga coordenada1: 1.
	ubicacionActualHormiga coordenada2: 1.

	hormiguero:= Ubicacion new.
	hormiguero coordenada1: 1.
	hormiguero coordenada2: 2.


	pozo:= Ubicacion new.
	pozo coordenada1: 2.
	pozo coordenada2: 1.


	mansion:= Ubicacion new.
	mansion coordenada1: 2.
	mansion coordenada2: 2.


	planta:= Ubicacion new.
	planta coordenada1:400.
	planta coordenada2:400.
	

	oreo := Comida new.
	miga := Comida new.
	alfajor := Comida new.
	zapatilla := Comida new.
	
	oreo masa: 10000.
	miga masa: 2000.
	alfajor masa: 300.
	zapatilla masa: 0.
	
	
	fede ubicacion: ubicacionActualHormiga.
	ubicacionesPorLasQuePaso:= Set new.
	fede ubicacionesPorLasQuePaso: ubicacionesPorLasQuePaso.
	oreo ubicacion: pozo.
	miga ubicacion: pozo.
	alfajor ubicacion: pozo.
	zapatilla ubicacion: pozo.! !

!Puntos16Al20 methodsFor: 'as yet unclassified' stamp: 'Federico 10/31/2015 23:52'!
test5metrosYRecolectaLoMismo

fede descansa.

fede moveteA: pozo.
fede moveteA: hormiguero.


fede extraerAlimentoDe: alfajor.

self assert: ((fede comidaQueLleva)= 10).! !

!Puntos16Al20 methodsFor: 'as yet unclassified' stamp: 'Federico 10/31/2015 23:46'!
testNoRecolecta


fede cansada.

fede moveteA: pozo.

fede extraerAlimentoDe: miga.

self assert:((fede comidaQueLleva)=0).! !

!Puntos16Al20 methodsFor: 'as yet unclassified' stamp: 'Federico 10/31/2015 23:48'!
testRecolectaComoSiempre

fede descansa.

fede moveteA: planta.

fede extraerAlimentoDe: miga.

fede extraerAlimentoDe: oreo.

self assert: ((fede comidaQueLleva)= 10).! !

!Puntos16Al20 methodsFor: 'as yet unclassified' stamp: 'Federico 11/1/2015 01:33'!
testRecolectaMasDeLoNormal

fede descansa.

fede extraerAlimentoDe: miga.

self assert: ((fede comidaQueLleva)= 10).! !

TestCase subclass: #TestPunto14Al15FallaAProposito
	instanceVariableNames: 'oreo miga alfajor zapatilla fede agustin gonzalo ubicacionActualHormiga hormiguero pozo mansion planta ubicacionesPorLasQuePaso lugares1 inicio ubicacionesPorLasQuePaso1'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'BICHOS-Test'!

!TestPunto14Al15FallaAProposito methodsFor: 'as yet unclassified' stamp: 'Federico 11/7/2015 13:21'!
setUp

	fede := HormigaObrera new.
	
	ubicacionesPorLasQuePaso1 := Set new.
	
	fede ubicacionesPorLasQuePaso: ubicacionesPorLasQuePaso1.
	
	
	ubicacionActualHormiga := Ubicacion new.
	ubicacionActualHormiga coordenada1: 1.
	ubicacionActualHormiga coordenada2: 1.

	hormiguero:= Ubicacion new.
	hormiguero coordenada1: 5.
	hormiguero coordenada2: 12.

	pozo:= Ubicacion new.
	pozo coordenada1: 9.
	pozo coordenada2: 40.

	mansion:= Ubicacion new.
	mansion coordenada1: 20.
	mansion coordenada2: 21.

	planta:= Ubicacion new.
	planta coordenada1:3.
	planta coordenada2:4.
	
	
	oreo := Comida new.
	miga := Comida new.
	alfajor := Comida new.
	zapatilla := Comida new.
	
	oreo masa: 10000.
	miga masa: 2000.
	alfajor masa: 300.
	zapatilla masa: 0.
	
	fede ubicacion: ubicacionActualHormiga.	
	oreo ubicacion: mansion.
	miga ubicacion: mansion.
	alfajor ubicacion: hormiguero.
	zapatilla ubicacion: pozo.
	
! !

!TestPunto14Al15FallaAProposito methodsFor: 'as yet unclassified' stamp: 'Federico 10/31/2015 15:11'!
testExtraerAlimentoDeAlfajor

	fede extraerAlimentoDe: alfajor.
	
	self assert:(fede comidaQueLleva)=10.
	
	self assert:(alfajor masa)=289.! !

!TestPunto14Al15FallaAProposito methodsFor: 'as yet unclassified' stamp: 'Federico 10/31/2015 15:10'!
testExtraerAlimentoDeMigaDePan

	fede extraerAlimentoDe: miga.
	
	self assert:(fede comidaQueLleva)=10.
	
	self assert:((miga masa)=1989).! !

!TestPunto14Al15FallaAProposito methodsFor: 'as yet unclassified' stamp: 'Federico 10/31/2015 15:09'!
testExtraerAlimentoDeZapatillaFallaAProposito

	fede extraerAlimentoDe: zapatilla.
	
	self assert:((fede comidaQueLleva )=5).
	
	self assert:(zapatilla masa)=0.! !

!TestPunto14Al15FallaAProposito methodsFor: 'as yet unclassified' stamp: 'Federico 10/31/2015 15:07'!
testExtraerOreo

	fede extraerAlimentoDe: oreo.
	
	self assert:(fede comidaQueLleva)=10.
	
	self assert:(oreo masa)=9989.
! !

TestCase subclass: #TestPunto1Al2
	instanceVariableNames: 'fede'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'BICHOS-Test'!

!TestPunto1Al2 methodsFor: 'as yet unclassified' stamp: 'Federico 11/7/2015 13:23'!
setUp

fede:= HormigaObrera new.! !

!TestPunto1Al2 methodsFor: 'as yet unclassified' stamp: 'Federico 10/26/2015 19:50'!
testCantidadDeComidaQueLlevaLaHormiga

fede comidaQueLleva:5.

self assert: (fede comidaQueLleva )equals: 5.! !

!TestPunto1Al2 methodsFor: 'as yet unclassified' stamp: 'Federico 10/26/2015 19:56'!
testHormigaEstaAlLimiteCuandoNoTransportaNada

fede comidaQueLleva: 0.

self deny: (fede alLimite).! !

!TestPunto1Al2 methodsFor: 'as yet unclassified' stamp: 'Federico 10/26/2015 20:11'!
testHormigaEstaAlLimiteCuandoTransporta10

fede comidaQueLleva: 10.

self assert: (fede alLimite).! !

!TestPunto1Al2 methodsFor: 'as yet unclassified' stamp: 'Federico 10/29/2015 10:49'!
testHormigaEstaAlLimiteCuandoTransporta5

fede comidaQueLleva: 5.

self deny: (fede alLimite).! !

TestCase subclass: #TestPunto3Al7
	instanceVariableNames: 'fede agustin gonzalo hormiguero distanciasTotales ubicacionesPorLasQuePaso ubicacionesPorEstado pozo planta mansion ubicacionActualHormiga lugares1 oreo miga alfajor zapatilla inicio punto1 punto2'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'BICHOS-Test'!

!TestPunto3Al7 methodsFor: 'as yet unclassified' stamp: 'Federico 11/7/2015 16:49'!
setUp

	fede := HormigaObrera new.
	
	
	ubicacionActualHormiga := Ubicacion new.
	ubicacionActualHormiga coordenada1: 1.
	ubicacionActualHormiga coordenada2: 1.

	hormiguero:= Ubicacion new.
	hormiguero coordenada1: 5.
	hormiguero coordenada2: 12.


	pozo:= Ubicacion new.
	pozo coordenada1: 9.
	pozo coordenada2: 40.


	mansion:= Ubicacion new.
	mansion coordenada1: 20.
	mansion coordenada2: 21.


	planta:= Ubicacion new.
	planta coordenada1:3.
	planta coordenada2:4.



	fede ubicacion: ubicacionActualHormiga.
	ubicacionesPorLasQuePaso:= Set new.
	fede ubicacionesPorLasQuePaso: ubicacionesPorLasQuePaso.
! !

!TestPunto3Al7 methodsFor: 'as yet unclassified' stamp: 'Federico 10/31/2015 01:32'!
testHormigaDistanciaRecorridaTotal
	
	fede moveteA: hormiguero.

	self assert: (fede distanciaRecorrida) equals: 11.704699910719626.! !

!TestPunto3Al7 methodsFor: 'as yet unclassified' stamp: 'Federico 10/31/2015 01:43'!
testHormigaPasoPorUbicacion

	
	fede moveteA: hormiguero.
	

	self assert: (fede ubicacionesPorLasQuePaso includes: hormiguero).! !

!TestPunto3Al7 methodsFor: 'as yet unclassified' stamp: 'Federico 10/31/2015 01:45'!
testPromedioDistanciaRecorridaTotal


	fede moveteA: pozo.
	
	fede moveteA: hormiguero.
	
	fede moveteA: mansion.
	
	fede moveteA: planta.


	self assert: (fede distanciaPromedio) equals: 27.40770399178229.! !

TestCase subclass: #TestPunto8Al13
	instanceVariableNames: 'fede agustin gonzalo hormiguero'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'BICHOS-Test'!

!TestPunto8Al13 methodsFor: 'as yet unclassified' stamp: 'Federico 11/1/2015 02:03'!
setUp


fede:= HormigaQueSeMueve new.
agustin:= HormigaQueSeMueve new.
gonzalo:= HormigaQueSeMueve new.
hormiguero:= Hormiguero new.
hormiguero depositoDeComida: 0.
! !

!TestPunto8Al13 methodsFor: 'as yet unclassified' stamp: 'Federico 10/31/2015 10:52'!
testAlimentoDeposito

hormiguero agregarHormiga: fede.
hormiguero agregarHormiga: agustin.
hormiguero agregarHormiga: gonzalo.


fede comidaQueLleva: 2.
agustin comidaQueLleva: 3.

self assert: (hormiguero comidaRecolectada) equals: 5.
! !

!TestPunto8Al13 methodsFor: 'as yet unclassified' stamp: 'Federico 11/7/2015 17:09'!
testComidaEnTotal

hormiguero agregarHormiga: fede.
hormiguero agregarHormiga: agustin.
hormiguero agregarHormiga: gonzalo.




fede comidaQueLleva: 20.
agustin comidaQueLleva: 10.
gonzalo comidaQueLleva: 1.
		
self assert: (hormiguero comidaEnTotal) equals: 31.! !

!TestPunto8Al13 methodsFor: 'as yet unclassified' stamp: 'Federico 10/31/2015 10:52'!
testComidaTransito

hormiguero agregarHormiga: fede.
hormiguero agregarHormiga: agustin.
hormiguero agregarHormiga: gonzalo.



fede comidaQueLleva: 8.
agustin comidaQueLleva: 9.
gonzalo comidaQueLleva: 2.

self assert: (hormiguero comidaRecolectada) equals: 19.
! !

!TestPunto8Al13 methodsFor: 'as yet unclassified' stamp: 'Federico 10/31/2015 01:07'!
testNoEntregarAlimento

fede comidaQueLleva: 0.


self assert: (hormiguero depositoDeComida) equals:0 .! !

!TestPunto8Al13 methodsFor: 'as yet unclassified' stamp: 'Federico 10/31/2015 10:51'!
testSinHormigas

self assert: (hormiguero cantidadHormigasTotales) equals: 0.! !

!TestPunto8Al13 methodsFor: 'as yet unclassified' stamp: 'Federico 10/31/2015 10:51'!
testVariasHormigas

hormiguero agregarHormiga: fede.
hormiguero agregarHormiga: agustin.
hormiguero agregarHormiga: gonzalo.



self assert: (hormiguero cantidadHormigasTotales) equals: 3.! !

TestCase subclass: #TestSegundaPartePunto14FallaAPropositoPorqueNoTieneLasMismasCaracteristicasQueUnaHormiga,NoExtraeAlimentos,NoTieneEstado,Etc
	instanceVariableNames: 'langosta pozo hormiguero oreo'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'BICHOS-Test'!

!TestSegundaPartePunto14FallaAPropositoPorqueNoTieneLasMismasCaracteristicasQueUnaHormiga,NoExtraeAlimentos,NoTieneEstado,Etc methodsFor: 'as yet unclassified' stamp: ''!
setUp

langosta:= Langosta new.

pozo:= Ubicacion new.
pozo coordenada1:20.
pozo coordenada2:10.

hormiguero:= Hormiguero new.
hormiguero ubicacion: pozo.
langosta ubicacion: pozo.


hormiguero agregarHormiga: HormigaObrera new.
hormiguero agregarHormiga: HormigaObrera new.
hormiguero agregarHormiga: HormigaObrera new.
hormiguero agregarHormiga: HormigaObrera new.

hormiguero hormigasTotales do: [ :hormiga | hormiga ubicacion: pozo ].

oreo:= Comida new.
oreo masa:50.
oreo ubicacion: pozo.! !

!TestSegundaPartePunto14FallaAPropositoPorqueNoTieneLasMismasCaracteristicasQueUnaHormiga,NoExtraeAlimentos,NoTieneEstado,Etc methodsFor: 'as yet unclassified' stamp: ''!
testLangosta

hormiguero agregarHormiga: langosta.

hormiguero hormigasTotales do: [ :hormiga | hormiga extraerAlimentoDe:oreo.]! !

TestCase subclass: #TestSegundaPartePunto1y2
	instanceVariableNames: 'hormiguero agustin gonzalo fede mansion ubicacionActualHormiga pozo planta ubicacionesPorLasQuePaso oreo miga alfajor zapatilla reina casa'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'BICHOS-Test'!

!TestSegundaPartePunto1y2 methodsFor: 'as yet unclassified' stamp: 'Federico 11/7/2015 17:48'!
setUp


agustin:= HormigaZangano  new.

gonzalo:= HormigaObrera new.

fede:= HormigaSoldado new.

reina:= HormigaReina new.

hormiguero:= Hormiguero new.

fede estado= EstadoNormal.
gonzalo estado= EstadoNormal.
agustin estado= EstadoNormal.
reina estado= EstadoNormal.


ubicacionActualHormiga := Ubicacion new.
ubicacionActualHormiga coordenada1: 1.
ubicacionActualHormiga coordenada2: 1.

pozo:= Ubicacion new.
pozo coordenada1: 9.
pozo coordenada2: 40.


mansion:= Ubicacion new.
mansion coordenada1: 20.
mansion coordenada2: 21.


planta:= Ubicacion new.
planta coordenada1:3.
planta coordenada2:4.


fede ubicacion: ubicacionActualHormiga.
ubicacionesPorLasQuePaso:= Set new.
fede ubicacionesPorLasQuePaso: ubicacionesPorLasQuePaso.


oreo := Comida new.
miga := Comida new.
alfajor := Comida new.
zapatilla := Comida new.
	
oreo masa: 10000.
miga masa: 2000.
alfajor masa: 300.
zapatilla masa: 0.

oreo ubicacion: pozo.
miga ubicacion: pozo.
alfajor ubicacion: pozo.
zapatilla ubicacion: pozo.
! !

!TestSegundaPartePunto1y2 methodsFor: 'as yet unclassified' stamp: 'Federico 11/7/2015 17:50'!
testAlimentoDeposito

hormiguero agregarHormiga: agustin.
hormiguero agregarHormiga: reina.

reina extraerAlimentoDe: oreo.
agustin extraerAlimentoDe: oreo.

self assert: (hormiguero comidaRecolectada) equals: 1.
! !

!TestSegundaPartePunto1y2 methodsFor: 'as yet unclassified' stamp: 'Federico 11/7/2015 17:23'!
testAlimentoRecolectadoReina

reina extraerAlimentoDe: oreo.

 self assert: reina comidaQueLleva=0! !

!TestSegundaPartePunto1y2 methodsFor: 'as yet unclassified' stamp: 'Federico 11/7/2015 17:23'!
testAlimentoRecolectadoSoldado

fede extraerAlimentoDe: oreo.

 self assert: fede comidaQueLleva=0.! !

!TestSegundaPartePunto1y2 methodsFor: 'as yet unclassified' stamp: 'Federico 11/7/2015 17:26'!
testAlimentoRecolectadoZangano

agustin extraerAlimentoDe: oreo.

 self assert: agustin comidaQueLleva=1.! !

!TestSegundaPartePunto1y2 methodsFor: 'as yet unclassified' stamp: 'Federico 11/7/2015 17:51'!
testCantidadHormigas



hormiguero agregarHormiga: fede.
hormiguero agregarHormiga: gonzalo.
hormiguero agregarHormiga: agustin.



self assert: (hormiguero cantidadHormigasTotales) equals: 3.! !

!TestSegundaPartePunto1y2 methodsFor: 'as yet unclassified' stamp: 'Federico 11/7/2015 17:27'!
testHormigaObreraAlLimite
	
	self deny: gonzalo alLimite! !

!TestSegundaPartePunto1y2 methodsFor: 'as yet unclassified' stamp: 'Federico 11/7/2015 17:28'!
testHormigaReinaAlLimite
	
	self deny: reina alLimite! !

!TestSegundaPartePunto1y2 methodsFor: 'as yet unclassified' stamp: 'Federico 11/7/2015 16:42'!
testHormigaSoldadoAlLimite
	
	self deny: fede alLimite! !

!TestSegundaPartePunto1y2 methodsFor: 'as yet unclassified' stamp: 'Federico 11/7/2015 16:46'!
testHormigaZanganoAlLimite
	
	self assert: agustin alLimite! !

!TestSegundaPartePunto1y2 methodsFor: 'as yet unclassified' stamp: 'Federico 11/7/2015 17:39'!
testUbicacionMovible

	
	fede moveteA: planta.
	

	self assert: (fede ubicacionesPorLasQuePaso includes: planta).! !

!TestSegundaPartePunto1y2 methodsFor: 'as yet unclassified' stamp: 'Federico 11/7/2015 17:40'!
testUbicacionNoMovible

	
	agustin moveteA: planta.
	

	self deny: (agustin ubicacionesPorLasQuePaso includes: planta).! !

TestCase subclass: #TestSegundaPartePunto3
	instanceVariableNames: 'hormiguero agustin gonzalo fede'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'BICHOS-Test'!

!TestSegundaPartePunto3 methodsFor: 'as yet unclassified' stamp: 'Federico 11/7/2015 14:36'!
setUp

hormiguero := Hormiguero new.

agustin:= Hormiga  new.

gonzalo:= Hormiga new.

fede:= Hormiga new.

! !

!TestSegundaPartePunto3 methodsFor: 'as yet unclassified' stamp: 'Federico 11/7/2015 14:54'!
testMatarHormiga



hormiguero agregarHormiga: fede.
hormiguero agregarHormiga: gonzalo.
hormiguero agregarHormiga: agustin.

hormiguero removerMuerta: fede.

self assert: (hormiguero cantidadHormigasTotales) equals: 2.! !

TestCase subclass: #TestSegundaPartePunto4Al6
	instanceVariableNames: 'gonzalo hormiguero unaHormiga fede agustin reina langosta pozo'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'BICHOS-Test'!

!TestSegundaPartePunto4Al6 methodsFor: 'as yet unclassified' stamp: 'Federico 11/7/2015 18:55'!
setUp

agustin:= HormigaZangano  new.

gonzalo:= HormigaObrera new.

fede:= HormigaSoldado new.

reina:= HormigaReina new.

hormiguero:= Hormiguero new.

langosta:=Langosta new.



fede estado= EstadoNormal.
gonzalo estado= EstadoNormal.
agustin estado= EstadoNormal.
reina estado= EstadoNormal.


pozo := Ubicacion new.
pozo coordenada1: 1.
pozo coordenada2: 1.
	
langosta ubicacion: pozo.
gonzalo ubicacion: pozo.
fede ubicacion: pozo.
agustin ubicacion: pozo.
reina ubicacion: pozo.

! !

!TestSegundaPartePunto4Al6 methodsFor: 'as yet unclassified' stamp: 'Federico 11/7/2015 19:15'!
testAtaqueSoldadoAObrera

	reina ubicacion: pozo.
	
	hormiguero agregarHormiga: reina.
	hormiguero agregarHormiga:agustin.
	
	fede atacarA: reina.
	
	self assert: reina muerta
	! !

TestCase subclass: #TestSegundaPartePunto9Al13
	instanceVariableNames: 'pozo hormiguero oreo expedicion1 expedicion'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'BICHOS-Test'!

!TestSegundaPartePunto9Al13 methodsFor: 'as yet unclassified' stamp: 'Federico 11/14/2015 02:52'!
setUp

pozo:= Ubicacion new.
pozo coordenada1:1.
pozo coordenada2:1.

hormiguero:= Hormiguero new.
hormiguero ubicacion: pozo.


hormiguero agregarHormiga: HormigaObrera new.
hormiguero agregarHormiga: HormigaObrera new.
hormiguero agregarHormiga: HormigaObrera new.
hormiguero agregarHormiga: HormigaObrera new.

hormiguero hormigasTotales do: [ :hormiga | hormiga ubicacion: pozo ].

oreo:= Comida new.
oreo masa:50.
oreo ubicacion: pozo.! !

!TestSegundaPartePunto9Al13 methodsFor: 'as yet unclassified' stamp: 'Federico 11/15/2015 23:22'!
testCreacionDeUnaExpedicion

expedicion:= Expedicion new.

expedicion asignarHormigasDe: hormiguero para:oreo.


self assert: (expedicion hormigasExpedicion)size  equals: 5! !

!TestSegundaPartePunto9Al13 methodsFor: 'as yet unclassified' stamp: 'Federico 11/15/2015 23:23'!
testCreacionDeUnaExpedicionYMandarARecolectarAlimento

expedicion:= Expedicion new.

expedicion asignarHormigasDe: hormiguero para:oreo.


expedicion concretar: oreo.


self assert: oreo masa  equals: 0.! !

!TestSegundaPartePunto9Al13 methodsFor: 'as yet unclassified' stamp: 'Federico 11/15/2015 23:23'!
testCrearUnaExpedicionYDesarmarla


expedicion:= Expedicion new.

expedicion asignarHormigasDe: hormiguero para:oreo.
expedicion desarmar.


self assert: (expedicion hormigasExpedicion size)  equals: 0.! !
